/*
 * Author:   DONGSK
 * Datetime: 2023/6/30 20:12
 * Description:
 * History:
 * 作者姓名 --修改时间 --版本号--描述
 */
package com.digiwin.athena.app.infra.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.digiwin.athena.opt.persistence.domain.BaseMgrEntity;
import lombok.Data;

import java.util.Date;

/**
 * CpsQuestionInfo
 *
 * @author DONGSK 2023/6/30 20:12
 * @since 1.0.0
 */
@Data
@TableName(value = "cps_question_info", autoResultMap = true)
public class CpsQuestionInfo extends BaseMgrEntity<CpsQuestionInfo> {
    private String defectType;
    private String questionLocation;
    private String questionArea;
    private Date questionTime;
    private String questionLevel;
    private String importanceLevel;
    private Integer timesOneDay;
    private String questionInformation;
    private String responsiblePerson;
    private String responsiblePersonName;
    private String containmentMeasures;
    private String rootCauseIdentification;
    private String correctiveActions;
    private String effectVerification;
    private String controlStandards;
    private String completionTime;
    private Date controlArea;
    private String knowledgeAccumulation;
    private Integer status = 0;
    private Integer status1 = 0;
    private Integer status2 = 0;
    private Integer status3 = 0;
    private Integer status4 = 0;
    private Integer status5 = 0;
    private Integer status6 = 0;
    private String timestamp;
}